YourWBB


yourWBB » WoltLab Burning Board Generation 2 * » Alles von und für das WBB Lite 1.0.x » [WBB Lite 1.0.x] Allg. Fragen und Probleme » WBBLite 1.0.2 migrieren » Hallo Gast [Anmelden|Registrieren]
Letzter Beitrag | Erster ungelesener Beitrag 13.030 Views | | Thema zu Favoriten hinzufügen

Neues Thema erstellen Antwort erstellen

Dieses Thema wurde als unerledigt markiert. Thread unerledigt

Zum Ende der Seite springen WBBLite 1.0.2 migrieren
Autor
Beitrag « Vorheriges Thema | Nächstes Thema »
Elly
Mitglied


Dabei seit: 09.07.07
Beiträge: 83
Fähigkeiten: WBB Lite 1 Fortgeschritten
Forenversion: Lite 1.0

 WBBLite 1.0.2 migrieren Antworten Zitieren Editieren Melden       UP

Hallo an alle,

wenn das nicht klappt, dann wäre die Frage, in welche Forensoftware sich das wBBLite 1.0.2 migrieren lässt. In ein aktuelles normales WBB oder auch in ein kostenloses phpBB?
Es ginge vor allem darum, dass die gespeicherten Daten des 17 Jahre bestehenden Forums nicht verloren gehen. Threads, Mitglieder etc. Vor allem die Threads, die Mitglieder können sich ja neu registrieren...
Hat da jemand Erfahrung? Irgendwen müsste es ja geben, der da schlauer ist als ich.

Für jede Hilfe dankbar!

LG
Elly
12.07.23 19:36 Elly ist offline E-Mail WWW Finden Als Freund hinzufügen
S!equenz
Last Man Standing


Dabei seit: 10.07.12
Beiträge: 775
Fähigkeiten: WBB2 Fortgeschritten
Forenversion: 2.3

Antworten Zitieren Editieren Melden       UP

Direkt umwandeln geht bestimmt nicht. Also erstmal auf WBB 2, 3, 4 etc. oder über andere Forensoftware.
Das beste was du aktuell bekommen kannst ist Invision Community gefolgt von Xenforo.

Aber warum bleibst du nicht einfach beim Lite1?
Your-WBB.de läuft auch immernoch mit PHP 5.2

Wenn du einen eigenen (v)Server mit Cloudlinux und cPanel hast kann man nachwievor PHP 5.2 nutzen. (Dank dem PHP Selector Feature von Cloudlinux)
Man muss zwar dann noch diverse Tweaks an Mysql und dem Webserver vornehmen aber gewusst wie ist es nicht so tragisch. Jedenfalls nicht so aufwendig wie das alte Lite1 Konvertieren oder auf PHP 8 umrüsten.

__________________
Lüge Zweckmäßige Übertreibung
13.07.23 05:00 S!equenz ist offline E-Mail Finden Als Freund hinzufügen
Elly
Mitglied


Dabei seit: 09.07.07
Beiträge: 83
Fähigkeiten: WBB Lite 1 Fortgeschritten
Forenversion: Lite 1.0

Themenstarter Thema begonnen von Elly
Antworten Zitieren Editieren Melden       UP

Ich will eigentlich kein Bezahl-Forum für ein kleines privates Serienforum, da braucht es eigentlich keine Profiausgabe einer Forensoftware. Das ist ja auch noch ein Grund.

Deine Warum-Frage ist einfach beantwortet: Weil der Hoster nach und nach alte PHP-Versionen abschaltet.
Ich hab ein NAS, da hab ich mich auch schon schlau gemacht - aus Sicherheitsgründen wird mir davon abgeraten, mit PHP 7.2 auf meinem NAS ein Forum onlinezustellen, da man bei Exploits (die ich in 17 Jahren nicht hatte, zumindest weiß ich nichts davon) dann auch bei meinen ganzen Daten landet. Die Rede war dann davon, dass man das mit einem Docker abschirmen kann, aber mein NAS unterstützt das nicht.

Deshalb bin ich zu dem Schluss gekommen, dass Update auf PHP 8 wohl das Einzige ist, das hilft.

Bei meinem Hoster sind aktuell 5.6, 7.2 und 7.4 noch aktiv. Sonst dann 8.0, 8.1 und 8.2.
13.07.23 12:27 Elly ist offline E-Mail WWW Finden Als Freund hinzufügen
DeepThroat DeepThroat ist männlich
Mitglied


images/avatars/avatar-4518.jpg

Dabei seit: 27.11.06
Beiträge: 183
Fähigkeiten: WBB2 Profi
Forenversion: 2.3

Antworten Zitieren Editieren Melden       UP

Das Burning Board 2.3.6 ist wohl die letzte Version, die dank der großartigen Community nach wie vor auf PHP 5.6-Umgebungen läuft. Wer es also rechtzeitig geschafft hatte sich diese Version zu sichern und mit den privat entwickelten PHP-Anpassungen zu sanieren, kann wahrscheinlich bis zum Sankt-Nimmerleins-Tag ein Forum betreiben, dass zumindest von Software-Seite her keine laufenden Kosten verursacht.

Inwieweit es heutzutage von "privat" noch alte WBB2-Lizenzen zu erwerben gibt, mag ich nicht zu beurteilen. Und dann wäre da noch die Frage, ob man neben der eigentlichen Software auch den dafür benötigten Importer/Konverter bekommt - denn sowas gab es für das Upgrade von Lite 1 auf WBB2 meines Wissens mal.

__________________
... beim Käfer (WBB2) konnte man noch selber schrauben, beim neuen Golf (WBB3) muß man fast schon in die Werkstatt wenn man das "Wischwasser" nachfüllen muss!

(Original von mkkcs)

13.07.23 13:14 DeepThroat ist offline Finden Als Freund hinzufügen
Elly
Mitglied


Dabei seit: 09.07.07
Beiträge: 83
Fähigkeiten: WBB Lite 1 Fortgeschritten
Forenversion: Lite 1.0

Themenstarter Thema begonnen von Elly
Antworten Zitieren Editieren Melden       UP

Damit habe ich mich nie beschäftigt. Ich hab auch bis gestern nicht gewusst, dass Woltlab den Support fürs Lite 2016 schon eingestellt hat. Kam bisher für mich nie in Frage. Einen Umzug wollte ich ja nie, vor allem um die bestehenden Daten nicht zu verlieren.

Mein Hoster hat 2018 schon mal alte PHP Versionen abgeschaltet, daher hat mir damals jemand auf PHP 7 umgecodet. 5.6 läuft allerdings immer noch, nur das Forum funktioniert jetzt mit 5.6 nicht mehr, es muss nun PHP 7.2 sein. Da scheint es noch rund zu laufen.

Also bis zum Sankt-Nimmerleins-Tag womöglich auch nicht, denn bis dahin wird vl 5.6 auch mal abgeschaltet. Ich hab auch keine Ahnung, wie andere Hoster da so sind. Ich bin bei all-inkl und war immer sehr zufrieden, top Support, immer sehr kundenfreundlich etc. Daher habe ich auch einen Serverumzug nie in Betracht gezogen.
13.07.23 13:37 Elly ist offline E-Mail WWW Finden Als Freund hinzufügen
DeepThroat DeepThroat ist männlich
Mitglied


images/avatars/avatar-4518.jpg

Dabei seit: 27.11.06
Beiträge: 183
Fähigkeiten: WBB2 Profi
Forenversion: 2.3

Antworten Zitieren Editieren Melden       UP

Ja. Ich bin auch zufriedener all-inkl.com-Kunde und im Augenblick deutet wirklich überhaupt nichts darauf hin, dass die PHP 5.6 jemals abschalten werden. Das lief die ganzen letzten Jahre - man kann schon bald Jahrzehnte sagen - stabil als unterste Einstiegsvariante. Deshalb bin ich ja auch so froh, dass ich mein WBB2 für die 5.6 fit gemacht habe, da ich das nun wohl bis zum besagten Sankt-Nimmerleins-Tag nutzen kann.

Dass WBB2 bietet im Gegensatz zum Lite 1 halt einige wirklich nützliche Vorteile, die einen Umstieg erwägenswert machen. Glaube das Lite 1 konnte noch keine Dateianhänge, oder?

Und die Unmengen an wunderschönen Styles für WBB 2 sind für mich auch einfach der Gamechanger. Da kommen heutige WBB5-Styles bei Weitem nicht heran, auch wenn die ach so modern und responsiv daher kommen.

Die Einzigen, die da aufgrund herausragender Dritt-Entwickler halbwegs ran kommen, sind die Jungs von Invision. Wenn Du also ein modernes Forum haben möchtest, dass trotzdem gut aussieht, dann kommt man an Invision nicht vorbei.

Wenn Du allerdings das Budget dafür nicht hast, versuch beim Lite 1 zu bleiben oder den Sprung zum WBB2 zu schaffen., solange es hier noch dieses und Viktors Board gibt. Freude

__________________
... beim Käfer (WBB2) konnte man noch selber schrauben, beim neuen Golf (WBB3) muß man fast schon in die Werkstatt wenn man das "Wischwasser" nachfüllen muss!

(Original von mkkcs)

13.07.23 15:47 DeepThroat ist offline Finden Als Freund hinzufügen
Elly
Mitglied


Dabei seit: 09.07.07
Beiträge: 83
Fähigkeiten: WBB Lite 1 Fortgeschritten
Forenversion: Lite 1.0

Themenstarter Thema begonnen von Elly
Antworten Zitieren Editieren Melden       UP

Ich versuch wirklich, beim Lite 1 zu bleiben. Irgendwie muss das ja auch für PHP 8 umprogrammiert werden können - mit Zeit und Geduld und der nötigen Unterstützung.

Und nein, das Lite 1 konnte keine Dateianhänge. Dafür haben wir dann halt Umwege gefunden. Wir sind ja nur ein paar ich sag mal hauptsächlich ältere Ladies, die sich gemeinsam über ihre Lieblingsserie unterhalten und was im Alltag so läuft. Dafür ist ein Invision dann doch zu professionell.

Das Lite 1 von PHP 7 auf 5.6 wieder downzugraden würde wohl auch keinen Sinn machen, schätze ich. Zumal ja kein Mensch weiß, wie lange die Versionen noch am Server bleiben.
13.07.23 15:53 Elly ist offline E-Mail WWW Finden Als Freund hinzufügen
DeepThroat DeepThroat ist männlich
Mitglied


images/avatars/avatar-4518.jpg

Dabei seit: 27.11.06
Beiträge: 183
Fähigkeiten: WBB2 Profi
Forenversion: 2.3

Antworten Zitieren Editieren Melden       UP

Zitat:
Original von Elly
Das Lite 1 von PHP 7 auf 5.6 wieder downzugraden würde wohl auch keinen Sinn machen, schätze ich.

Zumindest müsste man dann keine Bauchschmerzen haben, welche PHP7-Version bei all-inkl.com als nächste stillgelegt wird. Die 5.6 bleibt wahrscheinlich die einzig verlässliche Konstante im Universum der Friedersdorfer. Augenzwinkern

__________________
... beim Käfer (WBB2) konnte man noch selber schrauben, beim neuen Golf (WBB3) muß man fast schon in die Werkstatt wenn man das "Wischwasser" nachfüllen muss!

(Original von mkkcs)

13.07.23 15:59 DeepThroat ist offline Finden Als Freund hinzufügen
S!equenz
Last Man Standing


Dabei seit: 10.07.12
Beiträge: 775
Fähigkeiten: WBB2 Fortgeschritten
Forenversion: 2.3

Antworten Zitieren Editieren Melden       UP

Zitat:
Original von DeepThroat
Dass WBB2 bietet im Gegensatz zum Lite 1 halt einige wirklich nützliche Vorteile, die einen Umstieg erwägenswert machen. Glaube das Lite 1 konnte noch keine Dateianhänge, oder?


Der Nachteil ist dass es dank Sprachvariablen, Template Caching etc. auch aufwendiger ist eigene Modifikationen zu entwickeln. smile

Damals hätte es sich in diesem Fall wohl fast mehr gelohnt direkt das vBulletin 3 zu nehmen, denn das hatte im gegensatz zum WBB2 bereits ein Plugin System.

__________________
Lüge Zweckmäßige Übertreibung
13.07.23 17:58 S!equenz ist offline E-Mail Finden Als Freund hinzufügen
Maggan22 Maggan22 ist weiblich
Mitglied


images/avatars/avatar-5603.jpg

Dabei seit: 12.01.07
Beiträge: 442
Herkunft: Köln/Bonn
Forenversion: 3.1; 2.3

 RE: WBBLite 1.0.2 migrieren Antworten Zitieren Editieren Melden       UP

von einem wbblite kann man, soweit ich weiß in ein phpbb2 umwandeln, da muss man dann aber auch wieder updaten. Die besten Chancen hat man über mybb und smf und von da aus dann in ein phpbb. Muss man dann immer schauen nach den Konvertern.
Das schöne ist beim mybb dass es in vielem dem wbblite1 und wbb2 ähnlich ist und von der Handhabung denen auch am nächsten kommt. Ausserdem viele kostenlose Erweiterungen, wird weiterentwickelt und hat ein einfaches System um erweiterungen zu installieren.
Es sollte, theoretisch, kein Thema sein das lite in ein mybb umzuwandeln, dazu müsste man dann aber über das smf gehen, was aber auch kein Problem sein sollte.

__________________
Gruß Maggan22

Dieser Beitrag wurde 1 mal editiert, zum letzten Mal von Maggan22: 11.09.23 16:47.

11.09.23 16:44 Maggan22 ist offline E-Mail Finden Als Freund hinzufügen
S!equenz
Last Man Standing


Dabei seit: 10.07.12
Beiträge: 775
Fähigkeiten: WBB2 Fortgeschritten
Forenversion: 2.3

Antworten Zitieren Editieren Melden       UP

Das MyBB ist das beste kostenlose Forensystem das noch aktiv weiterentwickelt wird. Der große Nachteil ist allerdings das es nachwievor über keine responsive templates verfügt, der großteil der Leute heute allerdings Smartphones und Tablets nutzt um im Internet zu surfen.

Es gibt ein paar "Aftermarket" Lösungen diese sind allerdings nicht perfekt. Ich verfolge das allerdings auch nicht sehr stark. Falls es mittlerweile einen Anbieter von wirklich guten MyBB Responsive Templates gibt der die Software damit in diesem Bereich auf Augenhöhe von phpBB bringt lasst es mich gerne wissen.

Meiner Meinung nach legt das MyBB Team hier absichtlich nicht nach da dies sonst Konkurrenten wie Xenforo oder Invision Community vermutlich finanziell ruinieren würde. smile

__________________
Lüge Zweckmäßige Übertreibung
14.09.23 00:23 S!equenz ist offline E-Mail Finden Als Freund hinzufügen
Baumstruktur | Brettstruktur
Gehe zu:

Neues Thema erstellen Antwort erstellen

yourWBB » WoltLab Burning Board Generation 2 * » Alles von und für das WBB Lite 1.0.x » [WBB Lite 1.0.x] Allg. Fragen und Probleme » WBBLite 1.0.2 migrieren